package com.ssj.service.reading.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

/** 
 * @author  ZhangCaibao 
 * @version 2018年8月16日 下午2:51:04 
 * 类说明 
 */
public class BookListReq extends BaseRequest{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	@ApiModelProperty(name="content",value="搜索内容",required=true)
	private String content;
	@ApiModelProperty(name="libId",value="图书馆libId",required=true)
	private String libId;
	@ApiModelProperty(name="pageSize",value="一页10条",required=true)
	private int pageSize =10;
    @ApiModelProperty(name="pageNo",value="第几页",required=true)
	private int pageNo =1;
	@ApiModelProperty(name="type",value="1按周阅读，2借阅热度，3借阅量top10排序",required=true)	
	private int type=1;
	public String getContent() {
		return content;
	}
	public void setContent(String content) {
		this.content = content;
	}
	public int getPageSize() {
		return pageSize;
	}
	public void setPageSize(int pageSize) {
		this.pageSize = pageSize;
	}
	public int getPageNo() {
		return pageNo;
	}
	public void setPageNo(int pageNo) {
		this.pageNo = pageNo;
	}
	public int getType() {
		return type;
	}
	public void setType(int type) {
		this.type = type;
	}
	public String getLibId() {
		return libId;
	}
	public void setLibId(String libId) {
		this.libId = libId;
	}	
	
	
	
	
	
	
}
